#include <bits/stdc++.h>
using namespace std;
const int N=1e5+50;
#define ll long long
int main()
{
    int n;
    scanf("%i",&n);
    int x[N],y[N],z[N];
    int a[N]={0},b[N]={0};
    for(int i=1;i<=n;i++)
    {
        scanf("%i",&x[i]);
        //a[x[i]]++;
    }
    for(int i=1;i<=n;i++)
    {
        scanf("%i",&y[i]);
    }
    for(int i=1;i<=n;i++)
    {
        scanf("%i",&z[i]);
        b[y[z[i]]]++;
    }
    ll res=0;
    for(int i=1;i<=n;i++)
    {
        res+=b[x[i]];
    }
    printf("%lld\n",res);
    /*for(int i=1;i<=n;i++)
    {
        printf("%i ",b[i]);
    }*/
    return 0;
}